<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateTree Method (IEdmBatchChangeState)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState Interface : CreateTree Method (IEdmBatchChangeState)

Visual Basic
C#
C++/CLI

bsTransition
  Name of the workflow state transition to perform

Computes the file reference tree and checks that the specified state transition can be performed for the files added to this batch using IEdmBatchChangeState::AddFile.

# Syntax

Visual Basic |
--- | ---

    Function CreateTree( _
       ByVal bsTransition As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool CreateTree(
       System.string bsTransition
    )

C++/CLI |
--- | ---

    System.bool CreateTree(
    &   System.String^ bsTransition
    )

#### Parameters

bsTransition
  Name of the workflow state transition to perform

#### Return Value

True if there are any valid state changes, false if not

# Example

See the IEdmBatchChangeState4 examples.

# Remarks

If you are revoking transitions, instead of calling this method, call IEdmBatchChangeState2::CreateTreeForRevoke.

After calling this method, call IEdmBatchChangeState::ShowDlg and/or IEdmBatchChangeState::ChangeState.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState Interface
IEdmBatchChangeState Members

# Availability

SOLIDWORKS PDM Professional 2009